Unable to view a video course?

All content on the AltusLearn.com website is best viewed using the latest version of Internet browsers, such as Mozilla FireFox, Google Chrome, Apple Safari, Microsoft Edge, or Microsoft Internet Explorer.

Older versions of Microsoft Internet Explorer, below version 9 are not supported.

If you are using Internet Explorer 9, please ensure that you have the (WebM for IE9 or above) plugin installed to view the instructional videos.

If you have any further questions please contact support client.support@altuslearn.com

Have more questions? Submit a request
Powered by Zendesk